import type { JSX } from "solid-js";

export function OutlinedCard(props: {children?: Array<JSX.Element> | JSX.Element, class?: string}) {
    return (
        <div class={`bg-c-surface text-c-on-surface rounded-xl m-2
                    border border-c-outline
                    shadow ${props.class ?? ""}`}
        >
            {props.children}
        </div>
    );
}
